/v1/ingest-sessions/{sid}/commit
POST
/v1/ingest-sessions/{sid}/commit
const url = 'https://api.reindeer.example.tr/v1/ingest-sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/commit';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/ingest-sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/commit \ --header 'Authorization: Bearer <token>'Authorizations
Bölüm başlığı “Authorizations”Parameters
Bölüm başlığı “Parameters”Path Parameters
Bölüm başlığı “Path Parameters”sid
required
string format: uuid
Responses
Bölüm başlığı “Responses”Receipt as a JWS (EdDSA, typ reindeer-receipt+jws) signed by the receipts key. It lists every
recorded batch of the session. When an epoch roll holds the catalog, published is false and
the scheduler publishes the batches as soon as the roll ends.
Media typeapplication/json
object
receipt
string
records
integer
chunks
integer
batches
integer
published
boolean
key_id
string
Example generated
{ "receipt": "example", "records": 1, "chunks": 1, "batches": 1, "published": true, "key_id": "example"}